<?php
/**
 * Single post partial template
 *
 * @package Poster
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;
?>
<?php
	if (get_theme_mod('poster_breadcrumbs_on') !== 'disable') {
		poster_breadcrumbs();
	}
	do_action( 'before_single_post' );
?>
<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">

	<header class="entry-header">

		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
		<?php  if (get_theme_mod('poster_single_viewcount') !== 'disable') {
	   			display_post_view_count(); } ?>
			<?php poster_posted_on(); ?>

		</div><!-- .entry-meta -->

	</header><!-- .entry-header -->

	<?php if (get_theme_mod('poster_featured_single') !== 'disable') {
		echo get_the_post_thumbnail( $post->ID, 'large', array( 'class' => 'mx-auto d-block' )  ); 
	} ?>

	<div class="entry-content">

		<?php
		the_content();
		poster_link_pages();
		?>

	</div><!-- .entry-content -->
	<?php 
		$authorstyle = get_theme_mod( 'poster_authorprofile_style', 'styleone' );
		if (get_theme_mod('poster_authorpro_on') !== 'disable') {
				if ( ! is_singular( 'attachment' ) ) : 
					get_template_part( 'layouts/author/author', $authorstyle);
				endif;
				}
	?>

	<footer class="entry-footer">

		<?php poster_entry_footer(); ?>

	</footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->
